
/* ==========================================================================
   0. Includes - Ground zero
   ========================================================================== */

@import url(normalize.css);



/* ==========================================================================
   2. General 
   ========================================================================== */

html {
    height: 100%;
    max-height: 100%;
    font-size: 62.5%;
}

body {
    height: 100%;
    max-height: 100%;
}

::-moz-selection {
    color: #222;
    background: #D6EDFF;
    text-shadow: none;
}

::selection {
    color: #222;
    background: #D6EDFF;
    text-shadow: none;
}

}



a {
    color: inherit;
    transition: all ease 0.3s;
    -webkit-transition: all ease 0.3s;
    -moz-transition: all ease 0.3s;
}

a:hover {
    color: #86c440;
}

a.btn {
    min-width: 16%;
    
    text-decoration: none;
    border-radius: 6px;
    -webkit-border-radius: 6px;
    color: white;
    display: inline-block;
    font-size: 16px;
    letter-spacing: 1px;
    margin: 0;
    overflow: visible;
    xxxpadding: 10px 20px 10px 20px;
    position: relative;
    margin-top: 2rem;
    cursor: pointer;
    font-family: 'Oswald', sans-serif;
    text-transform: uppercase;
    font-weight: lighter;

}

a.btn:hover {
}




table {
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin: 1.6em 0;
    width:100%;
    max-width: 100%;
    background-color: transparent;
}

table th,
table td {
    padding: 8px;
    line-height: 20px;
    text-align: left;
    vertical-align: top;
    border-top: 1px solid #efefef;
}

table th { color: #000; }

table caption + thead tr:first-child th,
table caption + thead tr:first-child td,
table colgroup + thead tr:first-child th,
table colgroup + thead tr:first-child td,
table thead:first-child tr:first-child th,
table thead:first-child tr:first-child td {
    border-top: 0;
}

table tbody + tbody { border-top: 2px solid #efefef; }

table table table { background-color: #fff; }

table tbody > tr:nth-child(odd) > td,
table tbody > tr:nth-child(odd) > th {
    background-color: #f6f6f6;
}

table.plain {
    tbody > tr:nth-child(odd) > td,
    tbody > tr:nth-child(odd) > th {
        background: transparent;
    }
}
li {
  list-style-type: none;
  margin-left: 30px;
}
.bult {
    display: inline;
    float: left;
    padding-top: 7px;
}



/* ==========================================================================
   3. Utilities 
   ========================================================================== */

/* Hides shit */
.hidden {
    text-indent: -9999px;
    visibility: hidden;
    display: none;
}

/* Creates a responsive wrapper that makes our content scale nicely */
.inner {
    position: relative;
    width: 80%;
    max-width: 700px;
    margin: 0 auto;
}

/* Centres vertically yo. (IE8+) */
.vertical {
    display: table-cell;
    vertical-align: middle;
}


/* ==========================================================================
   4. General
   ========================================================================== */

/* Big cover image on the home page */
#site-head {
    position: relative;
    display: table;
    width: 100%;
    height: 100%;
    margin-bottom: 0rem;
    text-align: center;
    color: #fff;
    background: rgb(0, 153, 204) no-repeat center center;
    background-size: cover;
}

#site-head:after {

}



.blog-title {
    margin: 10px 0 10px 0;
    font-size: 5rem;
    letter-spacing: -1px;
}



.white {
    color: white;
}

.call li {
list-style-type:disc;	
padding-left: 15px;
margin-left: 18px;
}


/* ==========================================================================
   6. Third Party Elements 
   ========================================================================== */

/* Github */

.gist table {
    margin: 0;
    font-size: 1.4rem;
}

.gist .line-number {
    min-width: 25px;
    font-size: 1.1rem;
}








/* ==========================================================================
   9. Media Queries - Smaller than 1130px
   ========================================================================== */

@media only screen and (max-width: 1130px) {
    
    #site-head {
        -webkit-box-sizing: border-box; 
        -moz-box-sizing: border-box;
        box-sizing: border-box; 
        min-height: 240px;
        padding: 15% 0;
        height: 100%;
        margin-bottom: 0rem;
    }

    .blog-title {
        font-size: 4rem;
        letter-spacing: -1px;
    }

   

}

/* ==========================================================================
   10. Media Queries - Smaller than 500px
   ========================================================================== */


@media only screen and (max-width: 500px) {

   
    #blog-logo img {
        max-height: 80px;
    }

    .inner, 
    .pagination {
        width: auto;
        margin-left: 16px;
        margin-right: 16px;
    }

    .post {
        width:auto;
        margin-left: 16px;
        margin-right: 16px;
        font-size: 0.8em;
        line-height: 1.6em;
    }

    #site-head {
        padding: 10% 0;
        height: 65%;
    }
    #header-arrow {
        display: none;
    }
    a.btn {
        margin-top: 10px;
    }

    .blog-title {
        font-size: 3rem;
    }

    .blog-description {
        font-size: 1.5rem;
    }


    h1, h2 {
        font-size: 3rem;
        line-height: 1.1em;
        letter-spacing: -1px;
    }

    h3 {
        font-size: 2.8rem;
    }

    h4 {
        font-size: 2.3rem;
    }

  

}

